=== debian/changelog ===
libssh (0.11.1-1ubuntu0.2) plucky-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2025-8114.patch: sets rc to SSH_ERROR prior to goto
      error in ssh_make_sessionid() of src/kex.c.
    - CVE-2025-8114

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 29 Oct 2025 14:57:57 +0200

libssh (0.11.1-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Write beyond bounds in binary to base64 conversion
    functions
    - debian/patches/CVE-2025-4877.patch: prevent integer overflow and
      potential OOB.
    - CVE-2025-4877
  * SECURITY UPDATE: Use of uninitialized variable in
    privatekey_from_file()
    - debian/patches/CVE-2025-4878-1.patch: initialize pointers where
      possible.
    - debian/patches/CVE-2025-4878-2.patch: properly check return value to
      avoid NULL pointer dereference.
    - CVE-2025-4878
  * SECURITY UPDATE: OOB read in sftp_handle function
    - debian/patches/CVE-2025-5318.patch: fix possible buffer overrun.
    - CVE-2025-5318
  * SECURITY UPDATE: Double free in functions exporting keys
    - debian/patches/CVE-2025-5351.patch: avoid double-free on low-memory
      conditions.
    - CVE-2025-5351
  * SECURITY UPDATE: ssh_kdf() returns a success code on certain failures
    - debian/patches/CVE-2025-5372-pre1.patch: Reformat ssh_kdf().
    - debian/patches/CVE-2025-5372.patch: simplify error checking and
      handling of return codes in ssh_kdf().
    - CVE-2025-5372
  * SECURITY UPDATE: Likely read beyond bounds in sftp server message
    decoding
    - debian/patches/CVE-2025-5449-1.patch: avoid memory leak when we run
      out of handles during sftp_open.
    - debian/patches/CVE-2025-5449-2.patch: reproducer for sftp handles
      exhaustion.
    - debian/patches/CVE-2025-5449-3.patch: avoid NULL dereference for
      invalid handles.
    - debian/patches/CVE-2025-5449-4.patch: fix possible read behind buffer
      on 32bit arch.
    - debian/patches/CVE-2025-5449-5.patch: use constant for return values.
    - CVE-2025-5449
  * SECURITY UPDATE: Invalid return code for chacha20 poly1305 with OpenSSL
    backend
    - debian/patches/CVE-2025-5987.patch: correctly detect failures of
      chacha initialization.
    - CVE-2025-5987
  * SECURITY UPDATE: Missing packet filter may expose to variant of
    Terrapin attack
    - debian/patches/missing_packet_filter.patch: implement missing packet
      filter for DH GEX.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 30 Jun 2025 09:40:59 -0400

libssh (0.11.1-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * New upstream version 0.11.1 (Closes: #1078677)
  * Add new upstream signing key to d/upstream/signing-key.asc
  * Refresh patches for new upstream release.
    Drop 0001-Fix-regression-in-IPv6-addresses-in-hostname-parsing.patch and
    0002-tests-Increase-test-coverage-for-IPv6-address-parsin.patch, applied
    upstream.
  * Update symbols file
  * Use pkgconf instead of obsolete pkg-config
  * Add d/upstream/metadata
  * Bump d/copyright years

  [ Bastian Germann ]
  * Drop gcrypt flavor (Closes: #1074337)
  * d/copyright: Move blowfish files to their own section

  [ Martin Pitt ]
  * Bump Standards-Version to 4.7.0

  [ Debian Janitor ]
  * debian/control: Remove constraints unnecessary since buster (oldstable)

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Sep 2024 08:27:52 +0200

libssh (0.10.6-3) unstable; urgency=medium

  * debian/copyright: Add bcrypt_pbkdf.c (Closes: #1071567)

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Jun 2024 07:32:19 +0200
