=== debian/changelog ===
libssh (0.11.2-1ubuntu0.1) questing-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2025-8114.patch: sets rc to SSH_ERROR prior to goto
      error in ssh_make_sessionid() of src/kex.c.
    - CVE-2025-8114

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 29 Oct 2025 14:58:22 +0200

libssh (0.11.2-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 19:39:28 +0000

libssh (0.11.2-1) unstable; urgency=medium

  * New upstream security/bug fix release:
    - CVE-2025-4877: Write beyond bounds in binary to base64 conversion
      functions
    - CVE-2025-4878: Use of uninitialized variable in privatekey_from_file()
    - CVE-2025-5318: Likely read beyond bounds in sftp server handle
      management
    - CVE-2025-5351: Double free in functions exporting keys
    - CVE-2025-5372: ssh_kdf() returns a success code on certain failures
    - CVE-2025-5449: Likely read beyond bounds in sftp server message decoding
    - CVE-2025-5987: Invalid return code for chacha20 poly1305 with OpenSSL
      backend
    (Closes: #1108407)
  * Drop 0001-Fix-multiple-digit-major-version-for-OpenSSH.patch.
    Applied upstream.

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jun 2025 07:42:47 +0200

libssh (0.11.1-2) unstable; urgency=medium

  * Fix multiple digit major version for OpenSSH.
    Patch cherry-picked from upstream master. (Closes: #1103224)
  * Update Standards-Version to 4.7.2.  No changes necessary.
  * debian/copyright: Move to FSF URL.
    Fixes "old-fsf-address-in-copyright-file" lintian warning.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2025 12:21:58 +0000
